<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$adscripcion=$_GET['adscripcion'];
$tipo=$_GET['tipo'];




mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

$sql = "update docentes,oferta_academica set docentes.status='S' where docentes.id_docente=oferta_academica.id_profesor";
mysql_query($sql, $cn) or die(mysql_error());

$sql = "update docentes set dedicacion='5' where dedicacion=''";
mysql_query($sql, $cn) or die(mysql_error());

$sql = "update docentes set grado_acad='2' where grado_acad=''";
mysql_query($sql, $cn) or die(mysql_error());

// Se define el query de los datos que contendr� el reporte.

$query = "SELECT 
docentes.apellidos, 
docentes.nombres,
docentes.cedula,  
date_format( docentes.fecha_nac, '%d-%m-%Y' ) AS fecha_nacimiento, year( curdate( ) ) - year( `docentes`.`fecha_nac` ) + if( date_format( curdate( ) , '%m-%d' ) > date_format( `docentes`.`fecha_nac` , '%m-%d' ) , 0, -1 ) AS `edad`, 
profesiones.profesion, 
dedicacion.dedicacion, 
if( isnull(concat( docentes.telefono_hab, '/', docentes.telefono_cel)) , '', concat( docentes.telefono_hab, '/', docentes.telefono_cel )) AS telefonos, 
if( isnull( email ), '', email ) AS correo_electronico, 
if( isnull(dpto_adscripcion ) , '', dpto_adscripcion ) AS coordinacion_adscripcion
FROM docentes, profesiones, dedicacion
WHERE docentes.profesion = profesiones.codigo
AND docentes.dedicacion = dedicacion.codigo";

// Filtra por Coordinación de Adscripción.
if($adscripcion!="0") $query=$query." AND docentes.dpto_adscripcion='$adscripcion'";
// Filtra por status ACTIVO.
if($tipo=="1") $query=$query." AND status = 'S'";
$query=$query." AND cedula>0 order by apellidos,nombres ";
// echo $query;

$r = mysql_query( $query ) or trigger_error( mysql_error($cn), E_USER_ERROR );
$return = '';
if( mysql_num_rows($r)>0){
    $return .= '<table border=1>';
    $cols = 0;
    while($rs = mysql_fetch_row($r)){
        $return .= '<tr>';
        if($cols==0){
            $cols = sizeof($rs);
            $cols_names = array();
            for($i=0; $i<$cols; $i++){
                $col_name = mysql_field_name($r,$i);
                $return .= '<th>'.htmlspecialchars($col_name).'</th>';
                $cols_names[$i] = $col_name;
            }
            $return .= '</tr><tr>';
        }
        for($i=0; $i<$cols; $i++){
            # En esta iteración se personalizan datos.
            if($cols_names[$i] == 'nombres'){ # Formateo el nombre del alumno.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'apellidos'){ # Formateo el nombre del docente
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'coordinacion_adscripcion'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
			}else if($cols_names[$i] == 'profesion'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
			}else if($cols_names[$i] == 'dedicacion'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';	
			}else{
                $return .= '<td>'.htmlspecialchars($rs[$i]).'</td>';
            }
        }
        $return .= '</tr>';
    }
    $return .= '</table>';
    mysql_free_result($r);
}
#Cambiando el content-type más las <table> se pueden exportar formatos como csv
header("Content-type: application/vnd-ms-excel; charset=iso-8859-1");
header("Content-Disposition: attachment; filename=docentes_activos_pregrado-".date('d-m-Y').".xls");
echo $return; 
?>

